Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.dnd
Class DropTargetContext.TransferableProxy

    java.lang.Object
      |
      +--java.awt.dnd.DropTargetContext.TransferableProxy

All Implemented Interfaces:
  Transferable

Enclosing class:
  DropTargetContext

protected class DropTargetContext.TransferableProxy
extends Object
implements Transferable

The `TransferableProxy` is a nested helper class that supports the `DropTargetContext` in managing the transfer of data. In particular it provides automatic support for the de-serialization of application/x-java-serialized-object `DatFlavor`s.

Field Summary
`protected boolean` | `isLocal` A `boolean` indicating if the `DragSource` is in the same JVM as the `DropTarget`.
`protected Transferable` | `transferable` The "actual" `Transferable` that the Proxy is a Proxy for, usually supplied from the underlying system.

Method Summary
`Object` | `getTransferData(DataFlavor df)` get the transfer data
`DataFlavor[]` | `getTransferDataFlavors()` get the flavors
`boolean` | `isDataFlavorSupported(DataFlavor flavor)` check if a particular flavor is supported?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### transferable

    protected Transferable transferable

  The "actual" `Transferable` that the Proxy is a Proxy for, usually supplied from the underlying system.

### isLocal

    protected boolean isLocal

  A `boolean` indicating if the `DragSource` is in the same JVM as the `DropTarget`.

Method Detail

### getTransferDataFlavors

    public DataFlavor[] getTransferDataFlavors()

  get the flavors

  Specified by:
    `getTransferDataFlavors` in interface `Transferable`
  Returns:
    the `DataFlavor` array

### isDataFlavorSupported

    public boolean isDataFlavorSupported(DataFlavor flavor)

  check if a particular flavor is supported?

  Specified by:
    `isDataFlavorSupported` in interface `Transferable`
  Parameters:
    `flavor` - the `DataFlavor`

  Returns:
    a `boolean` indicating if the specified `DataFlavor` is supported.

### getTransferData

    public Object getTransferData(DataFlavor df)
                           throws UnsupportedFlavorException,
                                  IOException

  get the transfer data

  Specified by:
    `getTransferData` in interface `Transferable`
  Parameters:
    `df` - the `DataFlavor`

  Returns:
    the Object
  Throws:
    `UnsupportedFlavorException` - if the requested `DataFlavor` is not supported.
    `IOException` - if the data is no longer available in the requested flavor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.